### Signal

# RB Player::error

#### Declaration

    void
    error (
      RBPlayer* self,
      gpointer stream_data,
      gpointer error,
      gpointer user_data
    )

#### Description [src]

The ‘error’ signal is emitted when an error is encountered while opening or playing a stream.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal emission will restart instead of recursing

#### Parameters

`stream_data`

  Type: `gpointer`

  The data associated with the stream.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `gpointer`

  Description of the error.

  The argument can be `NULL`.
  The data is owned by the caller of the function.